Summary:        Bitronix Transaction Manager
Name:           btm
Version:        2.1.1
Release:        1%{?dist}
Epoch:          0
License:        LGPLv3
URL:            http://bitronix.be
Group:          Development/Libraries
Source0:        http://bitronix.be/downloads/btm-dist-%{version}.zip
Patch0:         %{name}-use-shared-jars.patch
Requires:       jpackage-utils >= 0:1.6
Requires:       java >= 0:1.4.2
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
BuildRequires:  slf4j
BuildRequires:  geronimo-jms
BuildRequires:  geronimo-jta
# BuildRequires:  mockito
Requires:       jpackage-utils
Requires:       junit
Requires:       xml-commons-apis
Requires:       java
Requires:       slf4j
Requires:       geronimo-jms
Requires:       geronimo-jta
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildArch:      noarch

%description
The Bitronix Transaction Manager (BTM) is a simple but complete
implementation of the JTA 1.1 API. It is a fully working XA transaction
manager that provides all services required by the JTA API while trying 
to keep the code as simple as possible for easier understanding of the 
XA semantics.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-dist-%{version}
# remove all binary libs
rm -rf lib testlib

%patch0 -p1

%build
ant build

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -p license.txt $RPM_BUILD_ROOT%{_javadocdir}/%{name}/
cp -p release-notes-%{version}.txt $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%check
# ant test

%post

%postun

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Fri Aug 19 2011 Andy Grimm <agrimm@gmail.com> - 0:2.1.1-1
- Initial build

